#!/usr/bin/python
# -*- coding: utf-8 -*- 

'''
script για autologin σε LTSP

για κάθε τμήμα υπάρχει ένα αρχείο με τις mac και τα στοιχεία των χρηστών
Σε κάθε γραμμή υπάρχει mac,username,password
π.χ. στο e1.txt :
00:50:FC:98:CC:31,e1-1,e1-1
00:50:FC:98:CC:32,e2-2,e2-2
κ.λ.π

όταν καλώ autologin.py e1.txt 1 κανει login τα clients με τα στοιχεία του e1.txt 
όταν καλώ autologin.py e1.txt 0 βάζει σε όλα τα mac LDM_AUTOLOGIN=False


'''
import ConfigParser,sys,csv
ltsFile='lts.conf'

def upateClass(mac,username,passwd,autoLogin):
    print ltsFile,mac
        
    config = ConfigParser.RawConfigParser()
    config.read(ltsFile)
    '''
    mac='00:50:FC:98:CC:31'
    autologin=config.get(mac, 'LDM_AUTOLOGIN')  
    username=config.get(mac, 'LDM_USERNAME')  
    passdw=config.get(mac, 'LDM_PASSWORD')
    
    print autologin,username,passdw 
    '''
    config.set(mac, 'LDM_AUTOLOGIN', autoLogin) 
    config.set(mac, 'LDM_USERNAME', username) 
    config.set(mac, 'LDM_PASSWORD', passwd) 
    with open(ltsFile, 'wb') as configfile:
        config.write(configfile)
    


#print 'Number of arguments:', len(sys.argv), 'arguments.'
#print 'Argument List:', str(sys.argv)
filename=sys.argv[1]
mode=int(sys.argv[2])

if mode==1 :
    print 'set autologin True'
    with open(filename) as csv_file:
     csv_reader = csv.reader(csv_file, delimiter=',')
     for row in csv_reader:
      print row[0],row[1],row[2]
      upateClass(row[0],row[1],row[2],'True')       
else:
    print 'set autologin False'
    with open(filename) as csv_file:
     csv_reader = csv.reader(csv_file, delimiter=',')
     for row in csv_reader:
      print row[0],row[1],row[2]
      upateClass(row[0],row[1],row[2],'False')    



